## virtualbox 7.1.8

=== src/VBox/HostDrivers/VBoxNetAdp/linux/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox Linux Host Virtual Network Adapter Driver.
#

#
# Copyright (C) 2006-2024 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk
VBOXNETADP_DIR := $(VBOX_MODULE_SRC_DIR)

# Allow building directly from the subdirectory without assuming the toplevel
# makefile has done the copying. Not the default use case, but can be handy.
ifndef KBUILD_EXTRA_SYMBOLS
KBUILD_EXTRA_SYMBOLS=$(abspath $(VBOXNETADP_DIR)/../vboxdrv/Module.symvers)
endif

VBOXMOD_NAME = vboxnetadp
VBOXMOD_OBJS = \
	linux/VBoxNetAdp-linux.o \
	VBoxNetAdp.o
ifeq ($(VBOX_KBUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	math/gcc/divdi3.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
	math/gcc/udivmoddi4.o \
	math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif
VBOXMOD_INCL = \
	$(VBOXNETADP_DIR) \
	$(VBOXNETADP_DIR)include \
	$(VBOXNETADP_DIR)r0drv/linux
VBOXMOD_DEFS = \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_SUP_R0 \
	VBOX \
	RT_WITH_VBOX \
	VBOX_WITH_HARDENING \
	VBOX_WITH_64_BITS_GUESTS # <-- must be consistent with Config.kmk!
VBOXMOD_CFLAGS = -include $(VBOXNETADP_DIR)include/VBox/SUPDrvMangling.h -fno-pie -Wno-declaration-after-statement

include $(obj)/Makefile-footer.gmk

=== src/VBox/Main/webservice/samples/java/jax-ws/Makefile ===
# $Id: Makefile $
## @file
# Makefile for java samples.
#


#
# Copyright (C) 2008-2024 Oracle and/or its affiliates.
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#

JAVA16=java
JAVA15=/usr/lib/jvm/java-1.5.0-sun/bin/java
JAVAC = javac
JAVAC15 = javac -target 1.5
JAVAC16 = javac -target 1.6
MKDIR = mkdir
RM = rm

DEST16 = ./gen16
DEST15 = ./gen15

VBOXWS15 = ../lib/vboxws_java15.jar
VBOXWS16 = ../lib/vboxws_java16.jar

JAXWS=./jaxws-ri
JAXWSLIBS=$(JAXWS)/lib/jaxws-api.jar:$(JAXWS)/lib/jaxb-api.jar:$(JAXWS)/lib/jsr181-api.jar:$(JAXWS)/lib/jaxws-rt.jar

all: run16

metric: metric16

$(DEST16)/clienttest.class: clienttest.java
	$(MKDIR) -p $(DEST16)
	$(JAVAC16) -d $(DEST16) -cp $(VBOXWS16) $<

$(DEST15)/clienttest.class: clienttest.java
	$(MKDIR) -p $(DEST15)
	$(JAVAC15) -d $(DEST15) -cp $(VBOXWS15):$(JAXWSLIBS) $<

run16: $(DEST16)/clienttest.class
	$(JAVA16) -cp $(VBOXWS16):$(DEST16) clienttest show vms

run15: $(DEST15)/clienttest.class
	$(JAVA15) -cp $(VBOXWS15):$(JAXWSLIBS):$(DEST15) clienttest show vms

$(DEST16)/metrictest.class: metrictest.java
	$(MKDIR) -p $(DEST16)
	$(JAVAC16) -d $(DEST16) -cp $(VBOXWS16) $<

$(DEST15)/metrictest.class: metrictest.java
	$(MKDIR) -p $(DEST15)
	$(JAVAC15) -d $(DEST15) -cp $(VBOXWS15):$(JAXWSLIBS) $<

metric16: $(DEST16)/metrictest.class
	-$(JAVA16) -cp $(VBOXWS16):$(DEST16) metrictest

metric15: $(DEST15)/metrictest.class
	-$(JAVA15) -cp $(VBOXWS15):$(JAXWSLIBS):$(DEST15) metrictest

clean:
	$(RM) -rf $(DEST15)  $(DEST16)

## virtualbox 7.1.8-dfsg

=== debian/changelog ===
virtualbox (7.1.8-dfsg-3~mx23+2) mx; urgency=medium

  * Install virtualbox-dkms.modprobe.conf into /etc/modprobe.d/, not a
    subfolder.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 25 May 2025 20:01:30 -0700

virtualbox (7.1.8-dfsg-3~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 May 2025 11:31:26 -0700

virtualbox (7.1.8-dfsg-3) unstable; urgency=medium

  * Don't enable arm* for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 May 2025 09:27:02 +0200

virtualbox (7.1.8-dfsg-2) unstable; urgency=medium

  * Restrict g++-multilib on amd64 and i386 only

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 May 2025 18:44:31 +0200

virtualbox (7.1.8-dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream version 7.1.0-dfsg
  * Refresh patches
  * Add libfuse2 runtime dependency (Closes: #1082889), thanks Marco Moock for the report
  * Bump copyright years
  * Bump copyright years for Debian packaging
  * Bump std-version to 4.7.2
  * Also try to build arm64 and armhf
  * Add a source lintian override for dita file licensing not used in build

  [ Tobias Frost ]
  * Fix broken watchfile (Closes: #1094801)

  [ Mateusz Łukasik ]
  * New upstream version 7.1.8-dfsg
  * Disable build docs for now to fix FTBFS.
  * Add patch for fix FTBFS with python-3.13.
  * Add python3-setuptools to B-D.
  * Add conflict on virtualbox-7.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 May 2025 17:55:04 +0200

=== debian/control ===
Source: virtualbox
Section: contrib/misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: acpica-tools,
               bzip2,
               debhelper-compat (= 13),
               default-jdk,
               dh-python,
               dh-sequence-dkms,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               glslang-tools,
               gsoap,
               jaxws,
               kbuild (>= 1:0.1.9998svn3589~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libgsoap-dev,
               libidl-dev,
               liblzf-dev,
               liblzma-dev,
               libogg-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
#               libqt5x11extras5-dev,
               libqt6opengl6-dev,
               libsdl1.2-dev,
               libsdl2-dev,
               libssl-dev,
               libtpms-dev,
               libvncserver-dev,
               libvorbis-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               nasm,
               python3-dev,
               python3-setuptools,
               qt6-scxml-dev,
               qt6-tools-dev,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev,
               xsltproc,
               yasm,
               zlib1g-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.virtualbox.org
Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
Testsuite: autopkgtest-pkg-dkms

Package: virtualbox-qt
Architecture: amd64
Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: virtualbox (<< 4.1.6-dfsg-2~)
Replaces: virtualbox (<< 4.1.6-dfsg-2~)
Description: x86 virtualization solution - Qt based user interface
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the Qt based graphical user interface for VirtualBox.

Package: virtualbox
Architecture: amd64
Depends: adduser,
         iproute2,
         libfuse2,
         procps,
         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
         virtualbox-guest-additions-iso,
         virtualbox-qt (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Suggests: vde2
Conflicts: virtualbox-2.0,
           virtualbox-2.1,
           virtualbox-2.2,
           virtualbox-3.0,
           virtualbox-3.1,
           virtualbox-3.2,
           virtualbox-4.0,
           virtualbox-4.1,
           virtualbox-4.2,
           virtualbox-4.3,
           virtualbox-5.0,
           virtualbox-5.1,
           virtualbox-5.2,
           virtualbox-6.0,
           virtualbox-6.1,
           virtualbox-7.0,
           virtualbox-7.1
Description: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.

Package: virtualbox-dkms
Section: contrib/kernel
Architecture: amd64
Depends: ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Provides: virtualbox-modules
Description: x86 virtualization solution - kernel module sources for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.

Package: virtualbox-source
Section: contrib/kernel
Architecture: amd64
Depends: build-essential,
         bzip2,
         debhelper-compat (= 13),
         kbuild,
         module-assistant,
         ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Description: x86 virtualization solution - kernel module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module.
 The virtualbox package is also required in order to make use of these
 modules. Kernel sources or headers are required to compile this module.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-modules-_KVERS_ providing
 "virtualbox-modules" package.

Package: virtualbox-guest-x11
Section: contrib/x11
Replaces: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
Breaks: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
Architecture: amd64 i386
Depends: libnotify-bin,
         virtualbox-guest-utils (= ${binary:Version}),
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Provides: xorg-driver-video
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils
Architecture: amd64 i386
Replaces: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
Breaks: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
#Conflicts: time-daemon, ntp
#Provides: time-daemon
#Replaces: time-daemon
Suggests: virtualbox-guest-x11 (= ${binary:Version})
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.

Package: virtualbox-guest-x11-hwe
Section: contrib/oldlibs
Architecture: amd64 i386
Depends: virtualbox-guest-x11, ${misc:Depends}
Description: transitional package for virtualbox-guest-x11
 This is a transitional package for virtualbox-guest-x11.
 It can safely be removed

Package: virtualbox-guest-utils-hwe
Section: contrib/oldlibs
Architecture: amd64 i386
Depends: virtualbox-guest-utils, ${misc:Depends}
Description: transitional package for virtualbox-guest-utils
 This is a transitional package for virtualbox-guest-utils.
 It can safely be removed

## virtualbox 7.1.10-dfsg

=== debian/changelog ===
virtualbox (7.1.10-dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Install virtualbox-dkms.modprobe.conf into /etc/modprobe.d/, not a
    subfolder.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Jun 2025 09:24:27 -0700

virtualbox (7.1.10-dfsg-1) unstable; urgency=medium

  * New upstream version 7.1.10-dfsg
  * Drop libIDL dependency, removed upstream
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jun 2025 15:31:09 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
                libgl-dev,
                libglu1-mesa-dev,
                libgsoap-dev,
-               libidl-dev,
                liblzf-dev,
                liblzma-dev,
                libogg-dev,
@@ -106,12 +105,11 @@
          libfuse2,
          procps,
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
-         virtualbox-guest-additions-iso,
-         virtualbox-qt (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
-Recommends: ${shlibs:Recommends}
+         ${shlibs:Depends},
+         virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends},
+         virtualbox-guest-additions-iso
 Suggests: vde2
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
